ConnectionTester (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0

## Interface ConnectionTester

- All Superinterfaces:
    java.io.Serializable
  All Known Subinterfaces:
    FullQueryConnectionTester, QueryConnectionTester, UnifiedConnectionTester
  All Known Implementing Classes:
    AbstractConnectionTester, AlwaysFailConnectionTester, DefaultConnectionTester, IsValidOnlyConnectionTester, IsValidOnlyConnectionTester30

      public interface ConnectionTester
      extends java.io.Serializable

  Define your own Connection tester if you want to override c3p0's default behavior for testing the validity of Connections and responding to Connection errors encountered.

  Recommended: If you'd like your ConnectionTester to support the user-configured `preferredTestQuery` parameter, please implement `UnifiedConnectionTester`.

  ConnectionTesters should be Serializable, immutable, and must have public, no-arg constructors.

  See Also:
    `UnifiedConnectionTester`, `AbstractConnectionTester`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CONNECTION_IS_INVALID`
    `static int` | `CONNECTION_IS_OKAY`
    `static int` | `DATABASE_IS_INVALID`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `activeCheckConnection(java.sql.Connection c)`
    `boolean` | `equals(java.lang.Object o)` Multiple testers that are of the same class and use the same criteria for determining fatality should test as equals().
    `int` | `hashCode()` keep consistent with equals()
    `int` | `statusOnException(java.sql.Connection c, java.lang.Throwable t)`

- - ### Field Detail

    - #### CONNECTION_IS_OKAY

          static final int CONNECTION_IS_OKAY

      See Also:
        Constant Field Values

    - #### CONNECTION_IS_INVALID

          static final int CONNECTION_IS_INVALID

      See Also:
        Constant Field Values

    - #### DATABASE_IS_INVALID

          static final int DATABASE_IS_INVALID

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### activeCheckConnection

          int activeCheckConnection(java.sql.Connection c)

    - #### statusOnException

          int statusOnException(java.sql.Connection c,
                                java.lang.Throwable t)

    - #### equals

          boolean equals(java.lang.Object o)

      Multiple testers that are of the same class and use the same criteria for determining fatality should test as equals().
      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          int hashCode()

      keep consistent with equals()
      Overrides:
        `hashCode` in class `java.lang.Object`